Skip to main content
GET
/
v2
/
api-keys
/
{api_key_id}
Core - Retrieve key metadata
curl --request GET \
  --url 'https://api.orq.ai/v2/api-keys/01HZXW2K7Y8Q9M0N1P2R3S4T5V' \
  --header 'Authorization: Bearer $ORQ_API_KEY'
import { Orq } from '@orq-ai/node';

const client = new Orq({
  apiKey: process.env.ORQ_API_KEY,
});

const result = await client.apiKeys.get({
  apiKeyId: '01HZXW2K7Y8Q9M0N1P2R3S4T5V',
});

console.log(result.apiKey.name);
console.log(result.apiKey.tokenPrefix);
import os
from orq_ai_sdk import Orq

client = Orq(api_key=os.environ["ORQ_API_KEY"])

result = client.api_keys.get(
    api_key_id="01HZXW2K7Y8Q9M0N1P2R3S4T5V",
)

print(result.api_key.name)
print(result.api_key.token_prefix)
{
  "api_key": {
    "api_key_id": "<string>",
    "name": "<string>",
    "owner": {
      "user": {
        "user_id": "<string>"
      },
      "service_account": {}
    },
    "project_scope": {
      "all": {},
      "single": {
        "project_id": "<string>"
      }
    },
    "token_prefix": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "access": {},
    "created_by_id": "<string>",
    "updated_by_id": "<string>",
    "last_used_at": "2023-11-07T05:31:56Z",
    "expires_at": "2023-11-07T05:31:56Z",
    "legacy_key_id": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

api_key_id
string
required

API key id to retrieve (e.g. 01H...).

Response

200 - application/json

OK

api_key
object
required

Requested api-key. Raw token never included.